Summary: OmniBroker is a CORBA-2.0 compliant ORB(Object Request Broker).  
Name: OmniBroker 
Version: 2.0.1 
Release: 1 
Source: ftp.ooc.com/pub/OmniBroker/OB-2.0.1.tar.gz
URL: http://www.ooc.com/
Distribution: Redhat 4.2
Vendor: Redhat
Copyright: 1997 Object-Oriented Concepts, Inc. All Rights Reserved. 
Group: Development/Libraries
Packager: Takahiko Koyama <tk29@cornell.edu>
Icon: ooc.gif
Prefix: /usr/local
BuildRoot: /usr/local/src/redhat/ROOT

%description

OmniBroker is free for non-commercial use 
OmniBroker is CORBA-2 compliant 
OmniBroker is available with its full source code 

Other highlights of OmniBroker include:

       Full CORBA IDL support 
       Complete CORBA IDL-to-C++ mapping 
       Complete CORBA IDL-to-Java mapping 
       Uses IIOP as native protocol 
       Dynamic Invocation Interface 
       Dynamic Skeleton Interface 
       Interface Repository 
       Peer-to-Peer communication with nested method invocations 
       Support for non-blocking method invocations 
       Support for timeouts 
       Seamless integration with X11 and Windows 
       A COS compliant Naming Service 
       IDL-to-HTML translator for generating "javadoc"-style documentation 
       DynAny API for dynamic Any type handling 

currently OmniBroker lacks support for the following features. These features will be implemented in an upcoming version:

       Only persistent (i.e. manually launched) servers are currently supported 
       No multi-threaded C++ applications (OmniBroker for Java supports thread-per-request and thread-per-client) 


----From Packager-----

Please read LICENSE located in /usr/local/lib/OminiBroker before getting started. Demos and test programs with source codes are available in /usr/local/demo/OB.  
For your safety, this package is signed with PGP signature. To retrieve the packager's PGP public key, type "finger koyama@lnx60.lns.cornell.edu". 

Finally, the packager will NOT be responsible for damages caused by this software, even though there is ABSOLUTELY NO intent to harm your system or network.   

Since this package is relocatable, you can install this without superuser privaledge and disturbing the presently installed version.

%prep

%setup -n OB-2.0.1 

%build

CXX=g++
CXXFLAGS="--no-implicit-templates -fhandle-exceptions -Wall"
AR=g++
ARFLAGS="-shared -o"
RANLIB=:
LIBEXT=.so
LD_LIBRARY_PATH="`pwd`/lib:`pwd`/idl:`pwd`/naming:$RPM_BUILD_ROOT/usr/local/lib:/usr/local/lib"
export CXX CXXFLAGS AR ARFLAGS RANLIB LIBEXT LD_LIBRARY_PATH
./configure --prefix="$RPM_BUILD_ROOT/usr/local"

make

%install
make install

#installing demo and test

mkdir -p "$RPM_BUILD_ROOT/usr/local/demo/OB"

cp -rf ./demo  "$RPM_BUILD_ROOT/usr/local/demo/OB"
cp -rf ./jdemo "$RPM_BUILD_ROOT/usr/local/demo/OB"
cp -rf ./test  "$RPM_BUILD_ROOT/usr/local/demo/OB"
cp -rf ./jtest "$RPM_BUILD_ROOT/usr/local/demo/OB"

# copying runtest script
# to run this script, please modify the path

cp -f  runtest "$RPM_BUILD_ROOT/usr/local/demo/OB"

# deleting object files
# note that " is before the general match *
 
rm -rf "$RPM_BUILD_ROOT/usr/local/demo/OB/test/"*.o
rm -rf "$RPM_BUILD_ROOT/usr/local/demo/OB/demo/"*/*.o


%postun
# in a case you have *.ref file in demo directories

rm -rf /usr/local/demo/OB

%docdir /usr/local/doc

%attr(-, root, root)
%files
/usr/local/bin/idl
/usr/local/bin/hidl
/usr/local/bin/jidl
/usr/local/bin/irdel
/usr/local/bin/irfeed
/usr/local/bin/irgen
/usr/local/bin/irserv
/usr/local/bin/nsserv
/usr/local/lib/libOB.so
/usr/local/lib/libIDL.so
/usr/local/lib/libOBX11.so
/usr/local/lib/libCosNaming.so
/usr/local/lib/CosNaming.jar
/usr/local/lib/OB.jar
/usr/local/lib/OmniBroker
/usr/local/include/OB
/usr/local/man/man1/idl.1
/usr/local/man/man1/hidl.1
/usr/local/man/man1/irfeed.1
/usr/local/man/man1/irserv.1
/usr/local/man/man1/irgen.1
/usr/local/man/man1/jidl.1
/usr/local/demo/OB
